package com.yidian.yac.newscontent.bean

import android.os.Parcel
import android.os.Parcelable

class SimpleItemBean(var itemType: Int, var name: String?, var content: String?) : Parcelable {
    constructor(parcel: Parcel) : this(
        parcel.readInt(),
        parcel.readString(),
        parcel.readString()
    ) {
    }

    override fun writeToParcel(parcel: Parcel, flags: Int) {
        parcel.writeInt(itemType)
        parcel.writeString(name)
        parcel.writeString(content)
    }

    override fun describeContents(): Int {
        return 0
    }

    companion object CREATOR : Parcelable.Creator<SimpleItemBean> {
        override fun createFromParcel(parcel: Parcel): SimpleItemBean {
            return SimpleItemBean(parcel)
        }

        override fun newArray(size: Int): Array<SimpleItemBean?> {
            return arrayOfNulls(size)
        }
    }
}